## com.lowagie.text.pdf.codec.postscript
Class PAContext

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAContext

    public class PAContext

extends java.lang.Object

Field Summary
`static boolean` `DebugExecution`
`java.util.Stack` `dictionaries`
`PAEngine` `engine`
`static boolean` `IgnoreUnknownCommands`
`(package private) java.io.InputStream` `is`
`protected java.lang.Object` `lastUnknownIdentifier`
`java.util.Stack` `operands`
`PAPencil` `pencil`
`(package private) PAParser` `poorscript`
`protected java.util.Random` `randomNumberGenerator`

Constructor Summary
`PAContext(java.awt.Component component)`
`PAContext(java.awt.Graphics2D g, java.awt.Dimension size)`
`PAContext(PAPencil pencil)`

Method Summary
`void` `collectArray()`
`void` `collectDict()`
`protected java.util.HashMap` `constructGlobalDict()`
`protected java.util.HashMap` `constructSystemDict()`
`protected java.util.HashMap` `constructUserDict()`
`void` `draw(java.io.InputStream inputStream)` draw
`java.lang.Object` `findDictionary(java.lang.Object identifier)`
`java.lang.Object` `findIdentifier(java.lang.Object identifier)`
`java.lang.Object` `getLastUnknownIdentifier()`
`static void` `main(java.lang.String[] args)`
`java.lang.Object` `peekOperand()`
`double[]` `popNumberOperands(int n)`
`java.lang.Object[]` `popOperands(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pencil

    public PAPencil pencil

### dictionaries

    public java.util.Stack dictionaries

### operands

    public java.util.Stack operands

### engine

    public PAEngine engine

### poorscript

    PAParser poorscript

### randomNumberGenerator

    protected java.util.Random randomNumberGenerator

### is

    java.io.InputStream is

### lastUnknownIdentifier

    protected java.lang.Object lastUnknownIdentifier

### IgnoreUnknownCommands

    public static boolean IgnoreUnknownCommands

### DebugExecution

    public static boolean DebugExecution

Constructor Detail

### PAContext

    public PAContext(java.awt.Component component)

### PAContext

    public PAContext(java.awt.Graphics2D g,
                     java.awt.Dimension size)

### PAContext

    public PAContext(PAPencil pencil)

Method Detail

### draw

    public void draw(java.io.InputStream inputStream)
              throws PainterException

  draw

  Parameters:
    `inputStream` - InputStream
  Throws:
    `PainterException`

### getLastUnknownIdentifier

    public java.lang.Object getLastUnknownIdentifier()

### popNumberOperands

    public double[] popNumberOperands(int n)
                               throws PainterException

  Throws:
    `PainterException`

### popOperands

    public java.lang.Object[] popOperands(int n)
                                   throws PainterException

  Throws:
    `PainterException`

### peekOperand

    public java.lang.Object peekOperand()
                                 throws PainterException

  Throws:
    `PainterException`

### findIdentifier

    public java.lang.Object findIdentifier(java.lang.Object identifier)

### findDictionary

    public java.lang.Object findDictionary(java.lang.Object identifier)

### collectArray

    public void collectArray()
                      throws PainterException

  Throws:
    `PainterException`

### collectDict

    public void collectDict()
                     throws PainterException

  Throws:
    `PainterException`

### constructGlobalDict

    protected java.util.HashMap constructGlobalDict()

### constructUserDict

    protected java.util.HashMap constructUserDict()

### main

    public static void main(java.lang.String[] args)

### constructSystemDict

    protected java.util.HashMap constructSystemDict()